Bug 245174 - [NEW PORT] irc/birch: IRC client written in bash
Summary: [NEW PORT] irc/birch: IRC client written in bash
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://github.com/dylanaraps/birch
Keywords: feature
Depends on:
Blocks:
 
Reported: 2020-03-29 22:27 UTC by Lewis Cook
Modified: 2020-03-31 00:36 UTC (History)
1 user (show)

See Also:


Attachments
birch-g20200327.diff (5.48 KB, patch)
2020-03-29 22:27 UTC, Lewis Cook
no flags Details | Diff
birch-g20200327.log (15.14 KB, text/plain)
2020-03-29 22:27 UTC, Lewis Cook
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lewis Cook 2020-03-29 22:27:12 UTC
Created attachment 212846 [details]
birch-g20200327.diff

Minimal IRC client written in bash, featuring
the full power of readline for input and
keybindings, tab completion of nicks and
unique (or semi-unique) nick colors.

WWW: https://github.com/dylanaraps/birch

Testing:
   * No errors reported with portlint, built in Poudriere and
     application works as expected (logs attached).
Comment 1 Lewis Cook 2020-03-29 22:27:33 UTC
Created attachment 212848 [details]
birch-g20200327.log

* Poudriere build log.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-30 02:02:08 UTC
Thank you for the new port Lewis
Comment 3 Lewis Cook 2020-03-30 19:07:19 UTC
(In reply to Kubilay Kocak from comment #2)

No problem, it's a pleasure! For future reference, is setting keywords (in this instance "patch-ready") necessary for the submitter to do in port submissions/updates? I'll hazard a guess in cases where the patch is *actually* reviewed by someone e.g. port committers?
Comment 4 Yuri Victorovich freebsd_committer 2020-03-31 00:25:03 UTC
(In reply to Lewis Cook from comment #3)

> For future reference, is setting keywords (in this instance "patch-ready") necessary for the submitter to do in port submissions/updates?

No, this isn't necessary.
Comment 5 Yuri Victorovich freebsd_committer 2020-03-31 00:27:11 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2020-03-31 00:36:35 UTC
A commit references this bug:

Author: yuri
Date: Tue Mar 31 00:27:08 UTC 2020
New revision: 529926
URL: https://svnweb.freebsd.org/changeset/ports/529926

Log:
  New port: irc/birch: IRC client written in bash

  PR:		245174
  Submitted by:	Lewis Cook <vulcan@wired.sh>

Changes:
  head/irc/Makefile
  head/irc/birch/
  head/irc/birch/Makefile
  head/irc/birch/distinfo
  head/irc/birch/files/
  head/irc/birch/files/pkg-message.in
  head/irc/birch/pkg-descr